<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require_once 'external/PHPMailer/src/Exception.php';
require_once 'external/PHPMailer/src/PHPMailer.php';
require_once 'external/PHPMailer/src/SMTP.php';

function send_mail ($recipient_list, $cc_list, $reply_to, $subject, $body)
{
  $mail = new PHPMailer (TRUE);

  try
    {
      // $mail->SMTPDebug = 2;
      $mail->isSMTP ();
      $mail->Host       = SEND_MAIL_SMTP_SERVER;
      $mail->Port       = SEND_MAIL_SMTP_PORT;
      $mail->SMTPSecure = 'tls';
      $mail->SMTPAuth   = TRUE;
      $mail->Username   = SEND_MAIL_SMTP_USERNAME;
      $mail->Password   = SEND_MAIL_SMTP_PASSWORD;

      $mail->setFrom (SEND_MAIL_FROM_ADDRESS, SEND_MAIL_FROM_NAME);
      foreach ($recipient_list as $recipient) $mail->addAddress ($recipient[0], $recipient[1]);
      foreach ($cc_list as $cc) $mail->addCC ($cc[0], $cc[1]);
      if ($reply_to) $mail->addReplyTo ($reply_to[0], $reply_to[1]);

      $mail->CharSet  = 'utf-8';
      $mail->Subject  = $subject;
      $mail->Body     = $body;
      // $mail->WordWrap = 70;

      $mail->send ();
    }
  catch (Exception $e)
    {
      return [$mail->ErrorInfo];
    }
}

?>